%define		_class		XML
%define		_subclass	HTMLSax3
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	3.0.0
Release:	%mkrel 11
Summary:	A SAX parser for HTML and other badly formed XML documents
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/XML_HTMLSax3/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
XML_HTMLSax3 is a SAX based XML parser for badly formed XML documents, such as
HTML. The original code base was developed by Alexander Zhukov and published at
http://sourceforge.net/projects/phpshelve/. Alexander kindly gave permission to
modify the code and license for inclusion in PEAR.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 3.0.0-11.mga6
+ Revision: 964651
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 3.0.0-10.mga6
+ Revision: 964379
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-9.mga5
+ Revision: 742387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-8.mga5
+ Revision: 687509
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.0-7.mga4
+ Revision: 517390
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.0.0-6.mga3
+ Revision: 377395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 3.0.0-5.mga1
+ Revision: 44427
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_HTMLSax3

